## org.eclipse.jst.jsf.context.symbol
Interface IInstanceSymbol

All Superinterfaces:
  IObjectSymbol, ISymbol

All Known Subinterfaces:
  IBeanInstanceSymbol, IComponentSymbol

    public interface IInstanceSymbol

extends IObjectSymbol

A symbol that represents an instance of something, typically a variable.

Provisional API - subject to change

Field Summary
`static java.lang.String` `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`ERuntimeSource` `getRuntimeSource()` Returns the value of the 'Runtime Source' attribute.
`ITypeDescriptor` `getTypeDescriptor()` Returns the value of the 'Type Descriptor' reference
`boolean` `isTypeResolved()` Returns the value of the 'Type Resolved' attribute
`void` `setRuntimeSource(ERuntimeSource value)` Sets the value of the '`Runtime Source`' attribute

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IObjectSymbol
`call, coerce, isReadable, isWritable, setReadable, setTypeDescriptor, setWritable, supportsCoercion`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ISymbol
`getName, setName`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getTypeDescriptor

    ITypeDescriptor getTypeDescriptor()

  Description copied from interface: `IObjectSymbol`
  Returns the value of the 'Type Descriptor' reference.

  If the meaning of the 'Type Descriptor' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getTypeDescriptor` in interface `IObjectSymbol`
  Returns:
    the type descriptor for this instance
  See Also:
    `IObjectSymbol.setTypeDescriptor(ITypeDescriptor)`, `SymbolPackage.getIObjectSymbol_TypeDescriptor()`

### isTypeResolved

    boolean isTypeResolved()

  Returns the value of the 'Type Resolved' attribute.

  If the meaning of the 'Type Resolved' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Resolved' attribute.
  See Also:
    `SymbolPackage.getIInstanceSymbol_TypeResolved()`

### getRuntimeSource

    ERuntimeSource getRuntimeSource()

  Returns the value of the 'Runtime Source' attribute. The default value is `"TAG_INSTANTIATED_SYMBOL"`. The literals are from the enumeration `ERuntimeSource`.

  If the meaning of the 'Runtime Source' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Runtime Source' attribute.
  See Also:
    `ERuntimeSource`, `setRuntimeSource(ERuntimeSource)`, `SymbolPackage.getIInstanceSymbol_RuntimeSource()`

### setRuntimeSource

    void setRuntimeSource(ERuntimeSource value)

  Sets the value of the '`Runtime Source`' attribute.

  Parameters:
    `value` - the new value of the 'Runtime Source' attribute.
  See Also:
    `ERuntimeSource`, `getRuntimeSource()`